#pragma once
#include <map>
struct Odds2_DayBuffData
{
	//BuffID
	int mBuffID;
	//天数
	int mDay;
	//Buff获得区间最小值
	int mBuffEffectMin;
	//Buff获得区间最大值
	int mBuffEffectMax;
};

class Odds2_DayBuff
{
public:
private:
	static std::auto_ptr<Odds2_DayBuff> msSingleton;
public:
	int GetCount();
	const Odds2_DayBuffData* GetData(int BuffID);
	const std::map<int, Odds2_DayBuffData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Odds2_DayBuff* GetSingleton();
	static void Release();
private:
	std::map<int, Odds2_DayBuffData> mMapData;
};
